GlobalMotionInfo Struct Reference

Parameters related to global motion search. More...

`#include <encoder.h>`

## Data Fields

bool | search_done
YV12_BUFFER_CONFIG * | ref_buf [REF_FRAMES]
int | num_ref_frames [2]
FrameDistPair | reference_frames [2][REF_FRAMES - 1]
Dimensions for which segment map is allocated.
int | segment_map_w
int | segment_map_h

## Detailed Description

Parameters related to global motion search.

## Field Documentation

## search_done

bool GlobalMotionInfo::search_done

Flag to indicate if global motion search needs to be rerun.

Referenced by encode_with_recode_loop().

## ref_buf

YV12_BUFFER_CONFIG* GlobalMotionInfo::ref_buf[REF_FRAMES]

Array of pointers to the frame buffers holding the reference frames. ref_buf[i] stores the pointer to the reference frame of the ith reference frame type.

## num_ref_frames

int GlobalMotionInfo::num_ref_frames[2]

Holds the number of valid reference frames in past and future directions w.r.t. the current frame. num_ref_frames[i] stores the total number of valid reference frames in 'i' direction.

## reference_frames

FrameDistPair GlobalMotionInfo::reference_frames[2][REF_FRAMES - 1]

Array of structure which stores the valid reference frames in past and future directions and their corresponding distance from the source frame. reference_frames[i][j] holds the jth valid reference frame type in the direction 'i' and its temporal distance from the source frame .

## segment_map_w

int GlobalMotionInfo::segment_map_w

segment map width

## segment_map_h

int GlobalMotionInfo::segment_map_h

segment map height

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h